import greenfoot.*;  // imports Actor, World, Greenfoot, GreenfootImage
import java.awt.Color;

import java.util.Random;

public class CrabWorld extends World
{
    public static boolean[][] spielfeld;    
    
    
    /**
     * Create the crab world (the beach). Our world has a size 
     * of 560x560 cells, where every cell is just 1 pixel.
     */
    public CrabWorld() 
    {
       super(600, 600, 1);
       
            
       spielfeld = new boolean[600][600];
       
       for(int a=0 ; a<600 ; a=a+1)
            {
            for(int i=0 ; i<600 ; i=i+1)
                {
                    spielfeld[i][a] = false;
                }
            }
               
            for(int m=220 ; m<235 ; m=m+1)
            {
                for(int n=0 ; n<428 ; n=n+1)
                    {
                        spielfeld[n][m] = true;
                        
                        GreenfootImage Background = getBackground();
                        Background.setColorAt(n, m, Color.green); 
                    }
                }
                
                 for(int m=220 ; m<235 ; m=m+1)
            {
                for(int n=527 ; n<600 ; n=n+1)
                    {
                        spielfeld[n][m] = true;
                        
                        GreenfootImage Background = getBackground();
                        Background.setColorAt(n, m, Color.green); 
                    }
                }
        addObject (new Crab (),300, 300);
      
    /*  for(int i=0;i<20;i=i+1)
      {
        addObject (new Worm(), Greenfoot.getRandomNumber(500), Greenfoot.getRandomNumber(500));
      }
      */
     
     addObject (new tree(),300,200);
      addObject (new tree(),260,200);
      addObject (new tree(),220,200);
      addObject (new tree(),180,200);
      addObject (new tree(),140,200);
      addObject (new tree(),100,200);
      addObject (new tree(),60,200) ;
      addObject (new tree(),20,200);
      addObject (new tree(),340,200);
      addObject (new tree(),380,200);
      addObject (new tree(),420,200);
      
      addObject (new tree(),540,200);
      addObject (new tree(),580,200);
      
      for(int i=0;i<1;i=i+1)
      {
        addObject (new pelican(), Greenfoot.getRandomNumber(100), Greenfoot.getRandomNumber(100));
      }
      addObject (new erdbeere(),300,100);
      addObject (new erdbeere(),250,500);
      addObject (new erdbeere(),500,130); // bombe
      addObject (new erdbeere(),100,460);
      addObject (new erdbeere(),550,388);
      addObject (new bombe () , 500,130);
    
      addObject (new erdbeere(),20,20);
      addObject (new erdbeere(),580,580);
       addObject (new erdbeere(),580,29);
      addObject (new erdbeere(),20,330);
    }
    
}